HomeScreensavers Planet  »  Help  »  Message Board  »  Blocked Plug-In

Blocked Plug-In

I have a favorite screensaver from the Belgian/Mexican artist Francis Alÿs: http://awp.diaart.org/alys/screensaver.html
I recently have been getting the "Blocked Plug-In" error message whenever I test or run the screensaver. I've de-installed and re-installed Adobe Flash a few times but no luck. Are there any tricks to get my screensaver working again?

Linked pages

Nancy1 month agoMac OS X 10.10.5, Google Chrome


4 replies

  • Hello Nancy,

    That's a great screensaver. To my surprise, I even got it working on macOS Mojave (10.14.6). So it's strange that it would suddenly stop working for you Yosemite.

    I understand you've already made sure the latest Flash Player plug-in is installed. If you open up System Preferences via the Apple icon in the top left of the screen, then click "Flash Player", the "Updates" tab will show you the versions installed.

    For me, that's the NPAPI Plug-in version 32.0.0.255. Is that similar for you?

    Unfortunately, I have no access to a Mac with Yosemite so that I can try to replicate and/or fix the issue. I could try to repackage the screensaver, but it will still require the Flash plug-in so if that's the problem it may not fix anything.

    This recently started happening? Have you gotten any OS updates recently?

    Rob (Screensavers Planet)1 month ago

  • Hey Rob, thanks much!
    I've got NPAPI 10.2.153.1/PPAPI 32.0.0.25 installed for Flash Updates.

    No OS updates, I'm holding this iMac at 10.10.5 for some older software until I can figure out how to update that program.

    It's been happening on and off, but recently got stuck on 'off'.
    I've also re-installed the screensaver but that isn't working either.
    Hmmmm.....

    Nancy1 month ago

  • I wiped/de-installed Flash from my system, and re-installed.
    Now Sys Pref shows NPAPI 32.0.0.255 installed and no PPAPI plug-in installed.

    In Sys Pref in Desktop/SS I can see the preview of the file; whereas I couldn't before, I would only see 'Blocked Plug-In'. Seems to be working now...

    Not sure how my Plug-Ins got confused but at least I know where to go next time! Thank you!

    Nancy1 month ago

  • Great! The PPAPI plug-in must have been interfering. Thanks for reporting back.

    Rob (Screensavers Planet)1 month ago

Post a reply

Lock This post was automatically locked to new replies after 30 days of inactivity.

Please start a new post on the message board if you need our help.